"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const execa_1 = tslib_1.__importDefault(require("execa"));
const get_app_root_1 = tslib_1.__importDefault(require("../utils/get-app-root"));
function runExecutor(_options, context) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        console.log('Executor ran for Dev', JSON.stringify(context, null, 2));
        //run something from the cli here?
        //   const appRoot = context.workspace.projects[context.projectName].root
        const absoluteAppRoot = (0, get_app_root_1.default)(context);
        console.log('appRoot :: ', absoluteAppRoot);
        // const runServer = execa(
        //   'pipenv',
        //   ['run', 'python', 'manage.py', 'runserver'],
        //   {
        //     cwd: `/${appRoot}`,
        //     stdio: [process.stdin, process.stdout, 'pipe'],
        //   }
        // )
        const runServer = execa_1.default.command('pipenv run python manage.py runserver', {
            cwd: absoluteAppRoot,
        });
        //   console.log(runserver)
        try {
            yield runServer;
        }
        catch (error) {
            console.error(error);
            return {
                success: false,
            };
        }
        return {
            success: true,
        };
    });
}
exports.default = runExecutor;
//# sourceMappingURL=executor.js.map